# XDATBUS

[![Build](https://github.com/jcwang587/xdatbus/actions/workflows/python-publish.yml/badge.svg)](https://github.com/jcwang587/xdatbus/actions/workflows/python-publish.yml)
[![codecov](https://codecov.io/gh/jcwang587/xdatbus/branch/main/graph/badge.svg?token=V27VIJZDAE)](https://codecov.io/gh/jcwang587/xdatbus)

**xdatbus** is designed as an enhanced toolkit for analyzing XDATCAR files. This project provides a Python library specifically tailored for VASP users engaged in research on ab-initio MD simulations, as well as biased MD simulations. The primary file addressed by the package is the XDATCAR, a trajectories file generated by the Vienna Ab-initio Simulation Package (VASP). The package documentation is available at [documentation](https://xdatbus.readthedocs.io/en/latest/) and a Jupyter Notebook tutorial is available [here](https://github.com/jcwang587/xdatbus).



## Installation


Make sure you have a Python interpreter newer than version 3.8:


```bash
❯ python --version
Python 3.8.0
```

Then, you can simply install `xdatbus` from pypi using `pip`:


```bash
❯ pip install xdatbus
```



## Get Started

The main goal of this project is to provide a tool to efficiently do the analysis of Ab-inito molecular dynamics results from VASP. Under most cases, we care about some certain atoms for MD simulation, while in a framework of other atoms which are supposed to be "fixed". For better visualization, we hope these atoms could be fixed but not vibrating. By applying pymatgen and ASE packages.



## Update log
`0.0.6` first upload for test
